<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="Check related non-public items"]]

<bs-tabs id="tabs" class="header">
  <bs-tab event-key="1" title="text-person">
<semantic-table
  id='table-text-person'
  query='SELECT DISTINCT ?text ?person ?relation
  WHERE {
    ?text a ismi:Text ;
      rdfs:label ?label ;
      crm:P2_has_type ismipublictype:is-public .
    {
      ?text frbroo:R16i_was_initiated_by / crm:P14_carried_out_by ?person .
      bind("author" as ?relation)
    } UNION {
      ?text crm:P01i_is_domain_of / crm:P02_has_range ?person .
      ?person a ismi:Person .
      bind("dedicatee" as ?relation)
    }
    FILTER NOT EXISTS {
      ?person crm:P2_has_type ismipublictype:is-public .
    }
  } ORDER BY ?label'
  number-of-displayed-rows=50
  column-configuration='[
    {
      "variableName": "text",
      "displayName": "Text (public)"
    },
    {
      "variableName": "person",
      "displayName": "Person (not public)"
    },
    {
      "variableName": "relation",
      "displayName": "Relation"
    }
  ]'
  options='{"showFilter": false}'
  >
</semantic-table>
  </bs-tab>
  
  <bs-tab event-key="2" title="witness-person">
<semantic-table
  id='table-witness-person'
  query='SELECT DISTINCT ?witness ?person ?relation
  WHERE {
    ?witness a ismi:Witness ;
      rdfs:label ?label ;
      crm:P2_has_type ismipublictype:is-public .
    {
      ?witness frbroo:R18i_was_created_by / crm:P14_carried_out_by ?person .
      bind("copyist" as ?relation)
    } UNION {
      ?witness frbroo:R18i_was_created_by / crm:P01i_is_domain_of / crm:P02_has_range ?person .
      ?person a ismi:Person .
      bind("patron" as ?relation)
    }
    FILTER NOT EXISTS {
      ?person crm:P2_has_type ismipublictype:is-public .
    }
  } ORDER BY ?label'
  number-of-displayed-rows=50
  column-configuration='[
    {
      "variableName": "witness",
      "displayName": "Witness (public)"
    },
    {
      "variableName": "person",
      "displayName": "Person (not public)"
    },
    {
      "variableName": "relation",
      "displayName": "Type"
    }
  ]'
  options='{"showFilter": false}'
  >
</semantic-table>
  </bs-tab>
  
  <bs-tab event-key="3" title="witness-text">
<semantic-table
  id='table-witness-text'
  query='SELECT DISTINCT ?witness ?text
  WHERE {
    ?witness a ismi:Witness ;
      rdfs:label ?label ;
      crm:P2_has_type ismipublictype:is-public ;
      crm:P128_carries / frbroo:R9i_realises ?text .
    FILTER NOT EXISTS {
      ?text crm:P2_has_type ismipublictype:is-public .
    }
  } ORDER BY ?label'
  number-of-displayed-rows=50
  column-configuration='[
    {
      "variableName": "witness",
      "displayName": "Witness (public)"
    },
    {
      "variableName": "text",
      "displayName": "Text (not public)"
    }
  ]'
  options='{"showFilter": false}'
  >
</semantic-table>
  </bs-tab>

  <bs-tab event-key="4" title="text-witness">
<semantic-table
  id='table-text-witness'
  query='SELECT DISTINCT ?witness ?text
  WHERE {
    ?text a ismi:Text ;
      rdfs:label ?label ;
      crm:P2_has_type ismipublictype:is-public .
    ?witness crm:P128_carries / frbroo:R9i_realises ?text .
    FILTER NOT EXISTS {
      ?witness crm:P2_has_type ismipublictype:is-public .
    }
  } ORDER BY ?label'
  number-of-displayed-rows=50
  column-configuration='[
    {
      "variableName": "text",
      "displayName": "Text (public)"
    },
    {
      "variableName": "witness",
      "displayName": "Witness (not public)"
    }
  ]'
  options='{"showFilter": false}'
  >
</semantic-table>
  </bs-tab>
  
  <bs-tab event-key="5" title="witness-codex">
<semantic-table
  id='table-witness-codex'
  query='SELECT DISTINCT ?witness ?codex
  WHERE {
    ?witness a ismi:Witness ;
      rdfs:label ?label ;
      crm:P2_has_type ismipublictype:is-public ;
      crm:P46i_forms_part_of ?codex .
    FILTER NOT EXISTS {
      ?codex crm:P2_has_type ismipublictype:is-public .
    }
  } ORDER BY ?label'
  number-of-displayed-rows=50
  column-configuration='[
    {
      "variableName": "witness",
      "displayName": "Witness (public)"
    },
    {
      "variableName": "codex",
      "displayName": "Codex (not public)"
    }
  ]'
  options='{"showFilter": false}'
  >
</semantic-table>
  </bs-tab>

  <bs-tab event-key="6" title="codex-collection">
<semantic-table
  id='table-codex-collection'
  query='SELECT DISTINCT ?codex ?collection
  WHERE {
    ?codex a ismi:Codex ;
      rdfs:label ?label ;
      crm:P2_has_type ismipublictype:is-public ;
      crm:P46i_forms_part_of ?collection .
    FILTER NOT EXISTS {
      ?collection crm:P2_has_type ismipublictype:is-public .
    }
  } ORDER BY ?label'
  number-of-displayed-rows=50
  column-configuration='[
    {
      "variableName": "codex",
      "displayName": "Codex (public)"
    },
    {
      "variableName": "collection",
      "displayName": "Collection (not public)"
    }
  ]'
  options='{"showFilter": false}'
  >
</semantic-table>
  </bs-tab>

  <bs-tab event-key="7" title="collection-repository">
<semantic-table
  id='table-collection-repository'
  query='SELECT DISTINCT ?collection ?repository
  WHERE {
    ?collection a ismi:Collection ;
      rdfs:label ?label ;
      crm:P2_has_type ismipublictype:is-public ;
      crm:P49_has_former_or_current_keeper ?repository .
    FILTER NOT EXISTS {
      ?repository crm:P2_has_type ismipublictype:is-public .
    }
  } ORDER BY ?label'
  number-of-displayed-rows=50
  column-configuration='[
    {
      "variableName": "collection",
      "displayName": "Collection (public)"
    },
    {
      "variableName": "repository",
      "displayName": "Repository (not public)"
    }
  ]'
  options='{"showFilter": false}'
  >
</semantic-table>
  </bs-tab>

</bs-tabs>

[[> Partial:contentEnd]]
